Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 60)
@@ -28,37 +28,75 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle64 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle65 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle66 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle67 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle68 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle69 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle70 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle71 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle72 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle11 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle12 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle13 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle14 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle15 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle16 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle17 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle18 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle19 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle20 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle21 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label3 = new System.Windows.Forms.Label();
             this.dgv1 = new System.Windows.Forms.DataGridView();
-            this.GridSectionIndex = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.GridRowKind = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.GridConstructionCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col0 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.col11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col001 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col002 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col003 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col004 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col005 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col006 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col007 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col008 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col009 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col010 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col011 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col13 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col14 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col15 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col16 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col17 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col18 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col19 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col20 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col21 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col22 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col23 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col098 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col99 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label2 = new System.Windows.Forms.Label();
-            this.label1 = new System.Windows.Forms.Label();
-            this.button3 = new System.Windows.Forms.Button();
-            this.button2 = new System.Windows.Forms.Button();
+            this.btnEntry = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
             this.btnAdd = new System.Windows.Forms.Button();
             this.btnOtherProc = new System.Windows.Forms.Button();
             this.lblStatus = new System.Windows.Forms.Label();
+            this.label4 = new System.Windows.Forms.Label();
+            this.cbReqMonth = new System.Windows.Forms.ComboBox();
+            this.label5 = new System.Windows.Forms.Label();
+            this.lblReqOrder = new System.Windows.Forms.Label();
+            this.btnApproval = new System.Windows.Forms.Button();
+            this.txtOrderer = new System.Windows.Forms.TextBox();
+            this.button1 = new System.Windows.Forms.Button();
+            this.pnlNormal = new System.Windows.Forms.Panel();
+            this.pnlApproval = new System.Windows.Forms.Panel();
+            this.btnDeny = new System.Windows.Forms.Button();
+            this.btnPend = new System.Windows.Forms.Button();
+            this.btnAgree = new System.Windows.Forms.Button();
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
+            this.pnlNormal.SuspendLayout();
+            this.pnlApproval.SuspendLayout();
             this.SuspendLayout();
             // 
             // label3
@@ -65,7 +103,7 @@
             // 
             this.label3.BackColor = System.Drawing.Color.White;
             this.label3.Font = new System.Drawing.Font("ＭＳ Ｐゴシック", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.label3.Location = new System.Drawing.Point(495, 20);
+            this.label3.Location = new System.Drawing.Point(510, 14);
             this.label3.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
             this.label3.Name = "label3";
             this.label3.Size = new System.Drawing.Size(340, 38);
@@ -79,151 +117,309 @@
             this.dgv1.ColumnHeadersHeight = 34;
             this.dgv1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgv1.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.GridSectionIndex,
-            this.GridRowKind,
-            this.GridConstructionCode,
-            this.col0,
-            this.col1,
-            this.col3,
-            this.col4,
-            this.col5,
-            this.col6,
-            this.col7,
-            this.col8,
-            this.col11});
-            this.dgv1.Location = new System.Drawing.Point(12, 108);
+            this.col001,
+            this.col002,
+            this.col003,
+            this.col004,
+            this.col005,
+            this.col006,
+            this.col007,
+            this.col008,
+            this.col009,
+            this.col010,
+            this.col011,
+            this.col12,
+            this.col13,
+            this.col14,
+            this.col15,
+            this.col16,
+            this.col17,
+            this.col18,
+            this.col19,
+            this.col20,
+            this.col21,
+            this.col22,
+            this.col23,
+            this.col098,
+            this.col99});
+            this.dgv1.Location = new System.Drawing.Point(12, 100);
             this.dgv1.Name = "dgv1";
             this.dgv1.RowHeadersWidth = 24;
             this.dgv1.RowTemplate.Height = 21;
-            this.dgv1.Size = new System.Drawing.Size(1306, 547);
+            this.dgv1.Size = new System.Drawing.Size(1308, 439);
             this.dgv1.TabIndex = 4;
-            this.dgv1.CellContentClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellContentClick);
+            this.dgv1.CellBeginEdit += new System.Windows.Forms.DataGridViewCellCancelEventHandler(this.dgv1_CellBeginEdit);
+            this.dgv1.CellFormatting += new System.Windows.Forms.DataGridViewCellFormattingEventHandler(this.dgv1_CellFormatting);
+            this.dgv1.CellValidating += new System.Windows.Forms.DataGridViewCellValidatingEventHandler(this.dgv1_CellValidating);
             this.dgv1.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellValueChanged);
-            this.dgv1.CurrentCellChanged += new System.EventHandler(this.dgv1_CurrentCellChanged);
-            this.dgv1.SelectionChanged += new System.EventHandler(this.dgv1_SelectionChanged);
             // 
-            // GridSectionIndex
+            // col001
             // 
-            this.GridSectionIndex.Frozen = true;
-            this.GridSectionIndex.HeaderText = "";
-            this.GridSectionIndex.Name = "GridSectionIndex";
-            this.GridSectionIndex.Visible = false;
+            this.col001.Frozen = true;
+            this.col001.HeaderText = "";
+            this.col001.Name = "col001";
+            this.col001.Visible = false;
+            this.col001.Width = 60;
             // 
-            // GridRowKind
+            // col002
             // 
-            this.GridRowKind.Frozen = true;
-            this.GridRowKind.HeaderText = "";
-            this.GridRowKind.Name = "GridRowKind";
-            this.GridRowKind.Visible = false;
+            this.col002.Frozen = true;
+            this.col002.HeaderText = "";
+            this.col002.Name = "col002";
+            this.col002.Visible = false;
             // 
-            // GridConstructionCode
+            // col003
             // 
-            this.GridConstructionCode.Frozen = true;
-            this.GridConstructionCode.HeaderText = "";
-            this.GridConstructionCode.Name = "GridConstructionCode";
-            this.GridConstructionCode.Visible = false;
+            this.col003.Frozen = true;
+            this.col003.HeaderText = "";
+            this.col003.Name = "col003";
+            this.col003.Visible = false;
+            this.col003.Width = 120;
             // 
-            // col0
+            // col004
             // 
-            this.col0.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
-            dataGridViewCellStyle64.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle64.BackColor = System.Drawing.SystemColors.Control;
-            this.col0.DefaultCellStyle = dataGridViewCellStyle64;
-            this.col0.Frozen = true;
-            this.col0.HeaderText = "";
-            this.col0.Name = "col0";
-            this.col0.ReadOnly = true;
-            this.col0.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.col0.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col0.Width = 80;
+            this.col004.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            this.col004.DefaultCellStyle = dataGridViewCellStyle1;
+            this.col004.Frozen = true;
+            this.col004.HeaderText = "";
+            this.col004.Name = "col004";
+            this.col004.ReadOnly = true;
+            this.col004.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col004.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col004.Width = 80;
             // 
-            // col1
+            // col005
             // 
-            dataGridViewCellStyle65.BackColor = System.Drawing.Color.White;
-            this.col1.DefaultCellStyle = dataGridViewCellStyle65;
-            this.col1.Frozen = true;
-            this.col1.HeaderText = "工事名";
-            this.col1.Name = "col1";
-            this.col1.ReadOnly = true;
-            this.col1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col1.Width = 340;
+            dataGridViewCellStyle2.BackColor = System.Drawing.Color.White;
+            this.col005.DefaultCellStyle = dataGridViewCellStyle2;
+            this.col005.Frozen = true;
+            this.col005.HeaderText = "";
+            this.col005.Name = "col005";
+            this.col005.ReadOnly = true;
+            this.col005.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col005.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col005.Width = 340;
             // 
-            // col3
+            // col006
             // 
-            dataGridViewCellStyle66.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle66.BackColor = System.Drawing.Color.White;
-            this.col3.DefaultCellStyle = dataGridViewCellStyle66;
-            this.col3.Frozen = true;
-            this.col3.HeaderText = "受注金額";
-            this.col3.Name = "col3";
-            this.col3.ReadOnly = true;
-            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col3.Width = 120;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle3.BackColor = System.Drawing.Color.White;
+            this.col006.DefaultCellStyle = dataGridViewCellStyle3;
+            this.col006.Frozen = true;
+            this.col006.HeaderText = "受注金額";
+            this.col006.Name = "col006";
+            this.col006.ReadOnly = true;
+            this.col006.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col006.Width = 120;
             // 
-            // col4
+            // col007
             // 
-            dataGridViewCellStyle67.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle67.BackColor = System.Drawing.SystemColors.Control;
-            this.col4.DefaultCellStyle = dataGridViewCellStyle67;
-            this.col4.Frozen = true;
-            this.col4.HeaderText = "";
-            this.col4.Name = "col4";
-            this.col4.ReadOnly = true;
-            this.col4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col4.Width = 120;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle4.BackColor = System.Drawing.SystemColors.Control;
+            this.col007.DefaultCellStyle = dataGridViewCellStyle4;
+            this.col007.Frozen = true;
+            this.col007.HeaderText = "";
+            this.col007.Name = "col007";
+            this.col007.ReadOnly = true;
+            this.col007.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col007.Width = 120;
             // 
-            // col5
+            // col008
             // 
-            dataGridViewCellStyle68.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col5.DefaultCellStyle = dataGridViewCellStyle68;
-            this.col5.FillWeight = 120F;
-            this.col5.Frozen = true;
-            this.col5.HeaderText = "合計";
-            this.col5.Name = "col5";
-            this.col5.ReadOnly = true;
-            this.col5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col5.Width = 120;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col008.DefaultCellStyle = dataGridViewCellStyle5;
+            this.col008.FillWeight = 120F;
+            this.col008.Frozen = true;
+            this.col008.HeaderText = "合計";
+            this.col008.Name = "col008";
+            this.col008.ReadOnly = true;
+            this.col008.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col008.Width = 120;
             // 
-            // col6
+            // col009
             // 
-            dataGridViewCellStyle69.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col6.DefaultCellStyle = dataGridViewCellStyle69;
-            this.col6.HeaderText = "1回目";
-            this.col6.Name = "col6";
-            this.col6.ReadOnly = true;
-            this.col6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col6.Width = 120;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col009.DefaultCellStyle = dataGridViewCellStyle6;
+            this.col009.HeaderText = "1回目";
+            this.col009.Name = "col009";
+            this.col009.ReadOnly = true;
+            this.col009.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col009.Width = 120;
             // 
-            // col7
+            // col010
             // 
-            dataGridViewCellStyle70.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col7.DefaultCellStyle = dataGridViewCellStyle70;
-            this.col7.HeaderText = "2回目";
-            this.col7.Name = "col7";
-            this.col7.ReadOnly = true;
-            this.col7.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col7.Width = 120;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col010.DefaultCellStyle = dataGridViewCellStyle7;
+            this.col010.HeaderText = "2回目";
+            this.col010.Name = "col010";
+            this.col010.ReadOnly = true;
+            this.col010.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col010.Width = 120;
             // 
-            // col8
+            // col011
             // 
-            dataGridViewCellStyle71.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col8.DefaultCellStyle = dataGridViewCellStyle71;
-            this.col8.HeaderText = "3回目";
-            this.col8.Name = "col8";
-            this.col8.ReadOnly = true;
-            this.col8.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col8.Width = 120;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col011.DefaultCellStyle = dataGridViewCellStyle8;
+            this.col011.HeaderText = "3回目";
+            this.col011.Name = "col011";
+            this.col011.ReadOnly = true;
+            this.col011.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col011.Width = 120;
             // 
-            // col11
+            // col12
             // 
-            dataGridViewCellStyle72.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col11.DefaultCellStyle = dataGridViewCellStyle72;
-            this.col11.HeaderText = "残り";
-            this.col11.Name = "col11";
-            this.col11.ReadOnly = true;
-            this.col11.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.col11.Width = 120;
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col12.DefaultCellStyle = dataGridViewCellStyle9;
+            this.col12.HeaderText = "4回目";
+            this.col12.Name = "col12";
+            this.col12.ReadOnly = true;
+            this.col12.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col12.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Programmatic;
+            this.col12.Width = 120;
             // 
+            // col13
+            // 
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col13.DefaultCellStyle = dataGridViewCellStyle10;
+            this.col13.HeaderText = "5回目";
+            this.col13.Name = "col13";
+            this.col13.ReadOnly = true;
+            this.col13.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col13.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col13.Width = 120;
+            // 
+            // col14
+            // 
+            dataGridViewCellStyle11.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col14.DefaultCellStyle = dataGridViewCellStyle11;
+            this.col14.HeaderText = "6回目";
+            this.col14.Name = "col14";
+            this.col14.ReadOnly = true;
+            this.col14.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col14.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Programmatic;
+            this.col14.Width = 120;
+            // 
+            // col15
+            // 
+            dataGridViewCellStyle12.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col15.DefaultCellStyle = dataGridViewCellStyle12;
+            this.col15.HeaderText = "7回目";
+            this.col15.Name = "col15";
+            this.col15.ReadOnly = true;
+            this.col15.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col15.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col15.Width = 120;
+            // 
+            // col16
+            // 
+            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col16.DefaultCellStyle = dataGridViewCellStyle13;
+            this.col16.HeaderText = "8回目";
+            this.col16.Name = "col16";
+            this.col16.ReadOnly = true;
+            this.col16.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col16.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col16.Width = 120;
+            // 
+            // col17
+            // 
+            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col17.DefaultCellStyle = dataGridViewCellStyle14;
+            this.col17.HeaderText = "9回目";
+            this.col17.Name = "col17";
+            this.col17.ReadOnly = true;
+            this.col17.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col17.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col17.Width = 120;
+            // 
+            // col18
+            // 
+            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col18.DefaultCellStyle = dataGridViewCellStyle15;
+            this.col18.HeaderText = "10回目";
+            this.col18.Name = "col18";
+            this.col18.ReadOnly = true;
+            this.col18.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col18.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col18.Width = 120;
+            // 
+            // col19
+            // 
+            dataGridViewCellStyle16.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col19.DefaultCellStyle = dataGridViewCellStyle16;
+            this.col19.HeaderText = "11回目";
+            this.col19.Name = "col19";
+            this.col19.ReadOnly = true;
+            this.col19.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col19.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.Programmatic;
+            this.col19.Width = 120;
+            // 
+            // col20
+            // 
+            dataGridViewCellStyle17.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col20.DefaultCellStyle = dataGridViewCellStyle17;
+            this.col20.HeaderText = "12回目";
+            this.col20.Name = "col20";
+            this.col20.ReadOnly = true;
+            this.col20.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col20.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col20.Width = 120;
+            // 
+            // col21
+            // 
+            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col21.DefaultCellStyle = dataGridViewCellStyle18;
+            this.col21.HeaderText = "13回目";
+            this.col21.Name = "col21";
+            this.col21.ReadOnly = true;
+            this.col21.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col21.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col21.Width = 120;
+            // 
+            // col22
+            // 
+            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col22.DefaultCellStyle = dataGridViewCellStyle19;
+            this.col22.HeaderText = "14回目";
+            this.col22.Name = "col22";
+            this.col22.ReadOnly = true;
+            this.col22.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col22.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col22.Width = 120;
+            // 
+            // col23
+            // 
+            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col23.DefaultCellStyle = dataGridViewCellStyle20;
+            this.col23.HeaderText = "15回目";
+            this.col23.Name = "col23";
+            this.col23.ReadOnly = true;
+            this.col23.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col23.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col23.Width = 120;
+            // 
+            // col098
+            // 
+            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col098.DefaultCellStyle = dataGridViewCellStyle21;
+            this.col098.HeaderText = "残り";
+            this.col098.Name = "col098";
+            this.col098.ReadOnly = true;
+            this.col098.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col098.Width = 120;
+            // 
+            // col99
+            // 
+            this.col99.HeaderText = "コメント";
+            this.col99.MaxInputLength = 120;
+            this.col99.Name = "col99";
+            this.col99.ReadOnly = true;
+            this.col99.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col99.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col99.Width = 240;
+            // 
             // label2
             // 
             this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
